From e7154fb382303c62be1fa3c601dd26513ddbc4cf Mon Sep 17 00:00:00 2001
From: yaoyongjie <yaoyongjie@uniontech.com>
Date: Thu, 10 Sep 2020 15:09:21 +0800
Subject: [PATCH] server: Fix some alt + hotkeys dont' work if the msg param is
   WM_SYSKEYDOWN in queue_hotkey_message function.

Signed-off-by: yaoyongjie <yaoyongjie@uniontech.com>
---
 server/queue.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/server/queue.c b/server/queue.c
index c1016016051..c79e10347ce 100644
--- a/server/queue.c
+++ b/server/queue.c
@@ -1418,7 +1418,7 @@ static int queue_hotkey_message( struct desktop *desktop, struct message *msg )
     struct hotkey *hotkey;
     unsigned int modifiers = 0;
 
-    if (msg->msg != WM_KEYDOWN) return 0;
+    if (msg->msg != WM_KEYDOWN && msg->msg != WM_SYSKEYDOWN) return 0;
 
     if (desktop->keystate[VK_MENU] & 0x80) modifiers |= MOD_ALT;
     if (desktop->keystate[VK_CONTROL] & 0x80) modifiers |= MOD_CONTROL;
-- 
2.20.1

